Name:           kardsgt
Version:	0.4.0
Release:        %mkrel 2
Epoch:          0
Summary:        Card game suite
License:        GPL
Group:          Games/Cards
URL:            http://kardsgt.nongnu.org/
Source0:        http://download.savannah.gnu.org/releases/kardsgt/kardsgt-%{version}.tar.gz
Source1:        kardsgt.desktop
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  qt3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{epoch}:%{release}-buildroot

%description
KardsGT is a card game program that has many of your favorite card 
games. Each game comes with an exhaustive manual on how to play. In 
addition to the many wonderful games, we also have amazing characters 
to play against. Each character has their own history and sense of 
play, giving you a fun challenge as you spend your time.

The specific games are:
  - cribbage
  - hearts
  - spades
  - war

%prep
%setup -q

%build
export QTDIR=%{_prefix}/lib/qt3
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall}
%{__rm} -rf %{buildroot}%{_docdir}

%{__mkdir_p} %{buildroot}%{_menudir}
%{__cat} > %{buildroot}%{_menudir}/kardsgt << EOF
?package(kardsgt):\
command="%{_bindir}/kardsgt -u ~" \
icon="kardsgt.png" \
needs="X11" \
section="More Applications/Games/Cards" \
title="KardsGT" \
longtitle="Full card game suite" \
mimetypes="text/plain" \
accept_url="false" \
multiple_files="false" \
xdg="true"
EOF

%{__mkdir_p} %{buildroot}%{_miconsdir}
%{_bindir}/convert -resize 16x16 kardsgt.png %{buildroot}%{_miconsdir}/kardsgt.png
%{__mkdir_p} %{buildroot}%{_iconsdir}
%{_bindir}/convert -resize 32x32 kardsgt.png %{buildroot}%{_iconsdir}/kardsgt.png
%{__mkdir_p} %{buildroot}%{_liconsdir}
%{_bindir}/convert -resize 48x48 kardsgt.png %{buildroot}%{_liconsdir}/kardsgt.png

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{_bindir}/desktop-file-install --vendor ""                         \
        --dir %{buildroot}%{_datadir}/applications                  \
        --add-category X-MandrivaLinux-MoreApplications-Games-Cards \
        %{SOURCE1}

%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps
%{_bindir}/convert -resize 32x32 kardsgt.png %{buildroot}%{_datadir}/pixmaps/kardsgt.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
%{_bindir}/convert -resize 16x16 kardsgt.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/kardsgt.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
%{_bindir}/convert -resize 24x24 kardsgt.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/kardsgt.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{_bindir}/convert -resize 32x32 kardsgt.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/kardsgt.png

%clean
%{__rm} -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%files
%defattr(0644,root,root,0755)
%doc COPYING ChangeLog INSTALL README kardsgt-%{version}-src/{CREDITS,src/{NOTICE,doc/*}}
%attr(0755,root,root) %{_bindir}/kardsgt
%{_datadir}/applications/kardsgt.desktop
%{_datadir}/icons/hicolor/16x16/apps/kardsgt.png
%{_datadir}/icons/hicolor/24x24/apps/kardsgt.png
%{_datadir}/icons/hicolor/32x32/apps/kardsgt.png
%{_datadir}/pixmaps/kardsgt.png
%{_mandir}/man6/kardsgt.6*
%{_menudir}/kardsgt
%{_iconsdir}/kardsgt.png
%{_liconsdir}/kardsgt.png
%{_miconsdir}/kardsgt.png


%changelog
* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0.4.0-2mdv2007.0
+ Revision: 102761
- fix menu location

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:0.4.0-1mdv2007.1
+ Revision: 102748
- fix typo
- set QTDIR
- Import kardsgt



* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:0.4.0-1mdv2007.1
- release

* Thu Dec 21 2006 John Schneiderman <JohnMS@member.fsf.org> 0.4.0-1jms
- SAVED GAME FILES PRIOR TO THIS RELEASE WILL NO LONGER WORK!
- New logo and player images, a default male and female image.
- Added the game of spades.
- Every player now has AI for every game.
- You can now customise the card images, and the player image.
- The screen size is now larger.
- Changed how the play sequence is shown to the player.
- You can sort the cards in your hand.
- Imrpoved the captioning system.
- Bug fix: Cribbage board no longer fails to update correctly.
- Bug fix: The default ordering in the players hand in hearts.
- Bug fix: The dialogues no longer are larger than our game screen.

* Sat Oct 14 2006 John Schneiderman <JohnMS@member.fsf.org> 0.3.0-3jms
- Added the game of hearts
- Added four new players.
- Added the ability to select the player(s) to play against.
- Now you can load game files directly from the command line with no futher intervention.
- Added turn signal indications.
- Improved the user profile database.
- Bug fix: Graphics no longer blur.
- Bug fix: Added delay so you can see the last card played.
- Bug fix: All errors are properly handled now.
- Bug fix: Card dialogues all now fit within their windows.
- Bug fix: All card message dialogues fit within their windows.
- Restructured the libraries to reduce compiling time.
- Restructured the handbook for better navigation.

* Sat Aug 06 2006 John Schneiderman <JohnMS@member.fsf.org> 0.2.0-1jms
- Cribbage game improvements and bug fixes.
- War introduced.
- Added a better looking card back image.
- Changed the game file structure, not compatible with previous versions.
- Fixed graphical bugs with KardPile and KardSequence.

* Wed Jun 07 2006 John Schneiderman <JohnMS@member.fsf.org> 0.1.0-1jms
- First Release
